---
title: Electricity Biller
description: Retrieve all available electricity bill providers with name, ID, and biller logo.
---

This API will display all the available providers for electricity to make a payment. So, retrieving details like provider name, id, biller logo of electricity bill providers as a response before making an electricity bill payment.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-providers
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | $string = $param.self::$secret_key; | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| api-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric<br>(`3`) | 400- fail,200-success |
| message  required | Text | success, fail |
| data  required | Text |

## Request Example

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/electricity-bill-providers' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
```

### Success Response

```
{
     "status" :"200",
     "message": "success",
     "data": {
      "1": {
              "provider_name": "Chamundnagar Electricity",
              "provider_id": "1",
              "required_fields": "AccountIDRABDRPORConsumerNumberConnectionIDNon-RABDRP",
              "fields_validation": "^[0-9A-Za-z]{10}$",
              "biller_logo": "https://example.com/hg/images/billerlogo/CESCOM000KAR01.gif"
          },
          "3": {
              "provider_name": "Arunachal Power (APDCL RAPDR)",
              "provider_id": "3",
              "required_fields": "ConsumerID",
              "fields_validation": "^[0-9]{11}$",
              "biller_logo": "https://example.com/hg/images/billerlogo/APDCL0000ASM01.gif"
          },
    }
}
```

### Error Response

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```